Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.tools
Class Renderer

    java.lang.Object
      org.pdfclown.tools.Renderer

    public final class Renderer

extends Object

Tool for rendering `content contexts`.

Since:
  0.1.0
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`Renderer()`

Method Summary
`boolean` | `print(Pageable document)` Prints the specified document.
`boolean` | `print(Pageable document, boolean silent)` Prints the specified document.
`BufferedImage` | `render(Contents contents, Dimension2D size)` Renders the specified contents into an image context.
`BufferedImage` | `render(Contents contents, Dimension2D size, Rectangle2D area)` Renders the specified contents into an image context.
`BufferedImage` | `render(IContentContext contentContext, Dimension2D size)` Renders the specified content context into an image context.
`BufferedImage` | `render(IContentContext contentContext, Dimension2D size, Rectangle2D area)` Renders the specified content context into an image context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### print

    public boolean print(Pageable document)
                  throws PrinterException

  Prints the specified document.

  The `document` can be either a `Document` object or a `combination` of `Page` objects.

  Parameters:
    `document` - Document to print.
  Returns:
    Whether the print was fulfilled.
  Throws:
    `PrinterException`

### print

    public boolean print(Pageable document,
                         boolean silent)
                  throws PrinterException

  Prints the specified document.

  The `document` can be either a `Document` object or a `combination` of `Page` objects.

  Parameters:
    `document` - Document to print.
    `silent` - Whether to avoid showing a print dialog.
  Returns:
    Whether the print was fulfilled.
  Throws:
    `PrinterException`

### render

    public BufferedImage render(Contents contents,
                                Dimension2D size)

  Renders the specified contents into an image context.

  Parameters:
    `contents` - Source contents.
    `size` - Image size expressed in device-space units (that is typically pixels).
  Returns:
    Image representing the rendered contents.

### render

    public BufferedImage render(IContentContext contentContext,
                                Dimension2D size)

  Renders the specified content context into an image context.

  Parameters:
    `contentContext` - Source content context.
    `size` - Image size expressed in device-space units (that is typically pixels).
  Returns:
    Image representing the rendered contents.

### render

    public BufferedImage render(Contents contents,
                                Dimension2D size,
                                Rectangle2D area)

  Renders the specified contents into an image context.

  Parameters:
    `contents` - Source contents.
    `size` - Image size expressed in device-space units (that is typically pixels).
    `area` - Content area to render; `null` corresponds to the entire `content bounding box`.
  Returns:
    Image representing the rendered contents.

### render

    public BufferedImage render(IContentContext contentContext,
                                Dimension2D size,
                                Rectangle2D area)

  Renders the specified content context into an image context.

  Parameters:
    `contentContext` - Source content context.
    `size` - Image size expressed in device-space units (that is typically pixels).
    `area` - Content area to render; `null` corresponds to the entire `content bounding box`.
  Returns:
    Image representing the rendered contents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.